# $Revision: 1.10 $, $Date: 2010/07/08 07:45:20 $
Summary:	Cisco router emulator controller
Summary(pl.UTF-8):	Kontroler emulatora routera Cisco
Name:		dynagen
Version:	0.11.0
Release:	4
License:	GPL v2+
Group:		Networking/Utilities
Source0:	http://dl.sourceforge.net/dyna-gen/%{name}-%{version}.tar.gz
# Source0-md5:	3f88b3449b17096dca84d007f0b91b3f
Patch0:		%{name}-debian.patch
URL:		http://dynagen.org/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
Requires:	python-configobj
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dynagen is a text-based front end for Dynamips, that uses the
Hypervisor mode for communication with Dynamips. Dynagen simplifies
building and working with virtual networks:
 - Uses a simple, easy to understand configuration file for specifying
   virtual router hardware configurations
 - Simple syntax for interconnecting routers, bridges, frame-relay and
   ATM switches. No need to deal with NetIOs
 - Can work in a client / server mode, with Dynagen running on your
   workstation communicating to Dynamips running on a back-end server.
   Dynagen can also control multiple Dynamips servers simultaneously
   for distributing large virtual networks across several machines.
 - Provides a management CLI for listing devices, starting, stopping,
   reloading, suspending, and resuming virtual routers.

%description -l pl.UTF-8
Dynagen to tekstowy frontend do Dynamipsa, wykorzystujący tryb
Hypervisor do komunikacji z nim. Upraszcza tworzenie i pracę z
sieciami wirtualnymi:
 - używa prostego, łatwego do zrozumienia pliku konfiguracyjnego do
   określania konfiguracji wirtualnych routerów
 - ma prostą składnię do łączenia routerów, mostów, przełączników
   frame-relay i ATM; nie wymaga znajomości NetIO
 - może działać w trybie klient-serwer, z Dynagenem działającym na
   stacji roboczej komunikującym się z Dynamipsem działającym na
   serwerze
 - udostępnia interfejs linii poleceń do zarządzania, z możliwością
   wypisywania urządzeń i uruchamiania, zatrzymywania,
   przeładowywania, wstrzymywania i wznawiania routerów wirtualnych.

%prep
%setup -q
%patch0 -p1
%{__sed} -i \
	'1s|#!@PYTHON@|#!%{__python}|;
	 s|\(version = "\)@VERSION@",|\1%{version}",|;' \
	setup.py

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--root $RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt docs sample_labs
%dir %{_sysconfdir}/dynagen
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dynagen/dynagen.ini
%dir %{_datadir}/dynagen
%{_datadir}/dynagen/configspec
%attr(755,root,root) %{_bindir}/dynagen
%{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/dynagen-*.egg-info
%{_mandir}/man1/dynagen.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dynagen.spec,v $
Revision 1.10  2010/07/08 07:45:20  arekm
- release 4

Revision 1.9  2010/04/07 16:46:16  jasw
- removal unnecessary %exlude - removed in the patch
- adding to the patch the path to config file
- tidying up after oneself
- rel 3.

Revision 1.8  2010/04/06 10:09:15  jasw
+ add missing pymodules confConsole, pemu_lib
+ remove redundant pymodules
+ rel 2

Revision 1.7  2009/05/18 19:29:29  duddits
- up to 0.11.0
- rel. 1

Revision 1.6  2008/02/06 17:02:25  twittner
- resolved file conflict with python-configobj

Revision 1.5  2008-01-11 22:23:09  qboosh
- files cleanup
- GPL v2+

Revision 1.4  2008-01-11 22:16:30  qboosh
- pl
- don't own /etc

Revision 1.3  2007-12-02 21:02:13  qboosh
- fixed Source URL

Revision 1.2  2007-12-02 20:41:20  twittner
- source url typo fixed
- added missing BRs

Revision 1.1  2007-09-11 18:29:17  twittner
- initial, not tested
